// initialValues.js
// Created by: Jeff Rackauckas & Chris Rackauckas

// This file contains the initial values.

// Data

var STATION_READINGS_CSV="assets/data/stations_readings.csv";
var STATION_INFORMATION_CSV="assets/data/stations_information.csv";
var MAP_VALUES_CSV="assets/data/map_values.csv";

var MAP_CANVAS_DIV="map_canvas";

//Initial Values

var defaultDate = "1/1/2011"
var parameterColor = "DO";
var parameterSize = "CHLA";
var rowsAdded=0;
var sampleTime;
delay = 500;
var interval;
var dataDescription;

var markerArray = [];
var startTIndex = []; // Used so you can start at the last t when searching through stationInformation for speed.
var MOUSEOVER_STATE=false;
var stayTime =3;

// Parameter 1: DO (>5=green, 3.2-5=yellow, <3.2=red)

// Parameter 2: CHLA (<15=green, 15-50=yellow, >50=red)

// Parameter 3: TDN (<0.65=green, 0.65-1=yellow, >1=red)

// Parameter 4: TDP (<0.01=green, 0.01-0.037=yellow, >0.037=red)

// Parameter 5: NO23 (<0.75=green, 0.75-1=yellow, >1=red)



// Red threshold written first

var parameterThresholds = [];

/* Now Determined by map_values.csv
parameterThresholds["DO"] = [3.2,5];

parameterThresholds["CHLA"] = [50,15];

parameterThresholds["TDN"] = [1,.65];

parameterThresholds["TDP"] = [.037,.01];

parameterThresholds["NO23"] = [1,.75];
*/


// Parameter descriptions used for display

var parameterDescriptions = [];

parameterDescriptions["DO"]   = "Dissolved Oxygen";

parameterDescriptions["CHLA"] = "Chlorophyll-A";

parameterDescriptions["TDN"]  = "Total Dissolved Nitrogen";

parameterDescriptions["TDP"]  = "Total Dissolved Phosphorus";

parameterDescriptions["NO23"] = "Total Dissolved NO2";


//Map Values

var scaleLarge;
var scaleMedium;
var scaleSmall;
//Now set by map values csv
/*
scaleLarge = 18.0;
scaleMedium=12.0;
scaleSmall = 7.0;
*/

var map;
var showLabels=true;


//Time Values 
//Now set by map values csv


var curTime;
var startDate;
var endDate;
/*
stayTime = 1; //Indicates how many days after the reading the label will show for.

curTime = moment("1/1/2011")
startDate = moment("1/1/2011"); //Need as a separate object so StartDate is kept for backwards counting
endDate = moment("1/1/2012");
*/


